AllCops:
  TargetRubyVersion: 2.3

Metrics/LineLength:
  Max: 80

Metrics/BlockLength:
  ExcludedMethods:
    - route

Layout/Tab:
  Enabled: false

Layout/IndentationWidth:
  Width: 1 # one tab

Lint/EndAlignment:
  EnforcedStyleAlignWith: variable

Lint/RescueException:
  Enabled: false

Style/AndOr:
  Enabled: false

Layout/AlignParameters:
  Enabled: false

Style/BlockDelimiters:
  Enabled: false

Layout/CaseIndentation:
  EnforcedStyle: end

Style/Documentation:
  Enabled: false

Style/FormatString:
  EnforcedStyle: percent

Layout/LeadingCommentSpace:
  Enabled: false

Layout/MultilineMethodCallBraceLayout:
  Enabled: false

Layout/MultilineOperationIndentation:
  Enabled: false

Style/MultilineTernaryOperator:
  Enabled: false

Style/Next:
  Enabled: false

Style/Not:
  Enabled: false

Style/NumericLiterals:
  MinDigits: 20
  Strict: true

Style/NumericPredicate:
  Enabled: false

Layout/SpaceAroundOperators:
  Enabled: false

Layout/SpaceInsideHashLiteralBraces:
  EnforcedStyle: no_space

Style/StringLiterals:
  EnforcedStyle: double_quotes

Style/NegatedIf:
  Enabled: false

Style/RedundantReturn:
  Enabled: false

Style/MultilineBlockChain:
  Enabled: false

Layout/SpaceAroundEqualsInParameterDefault:
  EnforcedStyle: no_space

Layout/IndentArray:
  EnforcedStyle: consistent

Style/SymbolArray:
  EnforcedStyle: brackets

Layout/FirstParameterIndentation:
  EnforcedStyle: consistent

Style/Lambda:
  EnforcedStyle: lambda

Layout/AccessModifierIndentation:
  EnforcedStyle: outdent

Style/FormatStringToken:
  Enabled: false

Style/WordArray:
  EnforcedStyle: brackets

Lint/UriEscapeUnescape:
  Enabled: false

Style/RescueModifier:
  Enabled: false
